package com.srs.stureg.mapper;

import java.util.List;

import com.srs.stureg.domain.SrsStuSize;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.stureg.domain.VO.SrsStuSizeVo;

/**
 * 学生尺码Mapper接口
 *
 * @author srs
 * @date 2024-03-31
 */
public interface SrsStuSizeMapper extends BaseMapper<SrsStuSize> {
    /**
     * 查询学生尺码
     *
     * @param id 学生尺码主键
     * @return 学生尺码
     */
    public SrsStuSize selectSrsStuSizeById(Long id);

    /**
     * 查询学生尺码列表
     *
     * @param srsStuSize 学生尺码
     * @return 学生尺码集合
     */
    List<SrsStuSize> selectSrsStuSizeList(SrsStuSize srsStuSize);

    /**
     * 新增学生尺码
     *
     * @param srsStuSize 学生尺码
     * @return 结果
     */
    int insertSrsStuSize(SrsStuSize srsStuSize);

    /**
     * 修改学生尺码
     *
     * @param srsStuSize 学生尺码
     * @return 结果
     */
    int updateSrsStuSize(SrsStuSize srsStuSize);

    /**
     * 删除学生尺码
     *
     * @param id 学生尺码主键
     * @return 结果
     */
    int deleteSrsStuSizeById(Long id);

    /**
     * 批量删除学生尺码
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsStuSizeByIds(Long[] ids);

    List<SrsStuSizeVo> selectSrsStuSizeListVo(SrsStuSizeVo srsStuSize);
}
